Zum Hauptinhalt springen

Remove the avatar picture of the customer profile

DELETE/v2/customers/{customerId}/avatar
API-Version
v2
Request-Methode
DELETE
Operation-ID
customer-remove-avatar

Request​

  • customerIdstringrequired

    The uuid of the customer whose avatar is to be deleted

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/avatar
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.removeAvatar({
"customerId": "string"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\RemoveAvatar\RemoveAvatarRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new RemoveAvatarRequest(
customerId: "string"
));
$response = $client->customer()->removeAvatar($request);

var_dump($response->getBody();

Auf dieser Seite